"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.legacyIsArray = exports.isLegacyEnvironment = void 0;
/**
 * Check if browser supports Array.isArray
 */
const isLegacyEnvironment = () => {
    if (typeof Array.isArray === 'undefined') {
        return true;
    }
    return false;
};
exports.isLegacyEnvironment = isLegacyEnvironment;
/**
 * For browsers & Node versions
 * that do not support Array.isArray
 */
const legacyIsArray = (input) => Object.prototype.toString.call(input) === '[object Array]';
exports.legacyIsArray = legacyIsArray;
exports.default = {
    isLegacyEnvironment: exports.isLegacyEnvironment,
    legacyIsArray: exports.legacyIsArray,
};
//# sourceMappingURL=arrays.js.map